SystemOrganization addCategory: #ConfigurationOfGTPlayground!

Object subclass: #ConfigurationOfGTPlayground
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGTPlayground'!

!ConfigurationOfGTPlayground commentStamp: 'AndreiChis 10/29/2014 12:03' prior: 0!
Full configuration of GTPlayground for loading into Moose.

self loadDevelopment!

!ConfigurationOfGTPlayground class methodsFor: 'development support' stamp: 'AndreiChis 8/28/2014 10:11'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGTPlayground class methodsFor: 'private' stamp: 'AndreiChis 8/28/2014 10:11'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGTPlayground class methodsFor: 'private' stamp: 'AndreiChis 8/28/2014 10:11'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGTPlayground class methodsFor: 'private' stamp: 'AndreiChis 8/28/2014 10:11'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGTPlayground class methodsFor: 'metacello tool support' stamp: 'AndreiChis 8/28/2014 10:11'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGTPlayground class methodsFor: 'loading' stamp: 'AndreiChis 8/28/2014 10:11'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGTPlayground class methodsFor: 'loading' stamp: 'AndreiChis 8/28/2014 10:11'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGTPlayground class methodsFor: 'loading' stamp: 'AndreiChis 8/28/2014 10:11'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGTPlayground class methodsFor: 'accessing' stamp: 'AndreiChis 8/28/2014 10:11'!
project

	^self new project! !

!ConfigurationOfGTPlayground class methodsFor: 'development support' stamp: 'AndreiChis 8/28/2014 10:11'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGTPlayground methodsFor: 'baselines' stamp: 'AndreiChis 9/22/2014 14:34'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		spec project: 'GTInspector' with: [
				spec
					className: #ConfigurationOfGTInspector;
					versionString: #'development';
					loads: #('Core' 'Tests' );
					repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
		spec package: 'GT-Playground' with: [
				spec requires: #('GTInspector' ). ].
		spec group: 'default' with: #('GT-Playground' ). ].
! !

!ConfigurationOfGTPlayground methodsFor: 'baselines' stamp: 'AndreiChis 9/22/2014 14:50'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		spec project: 'GTInspector' with: [
				spec
					className: #ConfigurationOfGTInspector;
					versionString: #'development';
					loads: #('Core' 'Tests' );
					repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
		spec package: 'GT-Playground' with: [
				spec requires: #('GTInspector' ). ].
		spec group: 'default' with: #('GT-Playground' ). ].
! !

!ConfigurationOfGTPlayground methodsFor: 'baselines' stamp: 'AndreiChis 10/29/2014 11:56'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		
		spec project: 'GTPlaygroundCore' with: [
				spec
					className: #ConfigurationOfGTPlaygroundCore;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
		
		spec project: 'GTInspector' with: [
				spec
					className: #ConfigurationOfGTInspector;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
		
		spec group: 'default' with: #('GTPlaygroundCore' 'GTInspector' ). ].
! !

!ConfigurationOfGTPlayground methodsFor: 'accessing' stamp: 'AndreiChis 8/28/2014 10:11'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGTPlayground methodsFor: 'symbolic versions' stamp: 'AndreiChis 10/29/2014 11:57'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.0-baseline'.
! !

!ConfigurationOfGTPlayground methodsFor: 'accessing' stamp: 'AndreiChis 8/28/2014 10:11'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGTPlayground methodsFor: 'symbolic versions' stamp: 'AndreiChis 5/5/2015 14:08'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.0.5'.
	spec for: #'pharo3.x' version: '2.0.5'.
	spec for: #'pharo4.x' version: '2.0.5'.
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 9/30/2014 17:11'!
version101: spec
	<version: '1.0.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.1 bug fixing'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/30/2014 17:11'.
		spec project: 'GTInspector' with: '1.0.1'.
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.35'. ].
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 9/30/2014 20:58'!
version102: spec
	<version: '1.0.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.2 bug fixing'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/30/2014 20:55'.
		spec project: 'GTInspector' with: '1.0.2'.
		spec package: 'GT-Playground' with: [  
			spec file: 'GT-Playground-AndreiChis.36'.
			spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/GTToolsIntegration/main' ] ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 10/1/2014 14:53'!
version103: spec
	<version: '1.0.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.3 bug fixing'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/01/2014 14:52'.
		spec project: 'GTInspector' with: '1.0.3'.
		spec package: 'GT-Playground' with: [  
			spec file: 'GT-Playground-AndreiChis.36'.
			spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/GTToolsIntegration/main' ] ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 10/2/2014 18:17'!
version104: spec
	<version: '1.0.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.4 bug fixing'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/02/2014 18:16'.
		spec project: 'GTInspector' with: '1.0.4'.
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.36'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 10/3/2014 17:18'!
version105: spec
	<version: '1.0.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.5'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/03/2014 17:06'.
		spec project: 'GTInspector' with: '1.0.5'.
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.37'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 10/6/2014 11:52'!
version106: spec
	<version: '1.0.6' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.6'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/06/2014 11:42'.
		spec project: 'GTInspector' with: '1.0.6'.
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.38'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 10/12/2014 19:57'!
version107: spec
	<version: '1.0.7' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.7'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/12/2014 19:56'.
		spec project: 'GTInspector' with: '1.0.7'.
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.38'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 10/28/2014 14:07'!
version108: spec
	<version: '1.0.8' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.8'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/28/2014 14:07'.
		spec project: 'GTInspector' with: '1.0.8'.
		spec package: 'GT-Playground' with: 'GT-Playground-TudorGirba.46'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 9/22/2014 14:48'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/22/2014 14:45'.
		spec project: 'GTInspector' with: '1.0'.
		spec package: 'GT-Playground' with: 'GT-Playground-AndreiChis.35'. ].
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 10/29/2014 18:52'!
version200: spec
	<version: '2.0.0' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/29/2014 16:54'.
		
		spec project: 'GTPlaygroundCore' with: '2.0.0'.
		spec project: 'GTInspector' with: '2.0.0'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 11/13/2014 13:55'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.1'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/13/2014 13:54'.
		
		spec project: 'GTPlaygroundCore' with: '2.0.1'.
		spec project: 'GTInspector' with: '2.0.1'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 11/14/2014 11:50'!
version202: spec
	<version: '2.0.2' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.2'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/14/2014 11:48'.
		
		spec project: 'GTPlaygroundCore' with: '2.0.2'.
		spec project: 'GTInspector' with: '2.0.2'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 12/7/2014 13:59'!
version203: spec
	<version: '2.0.3' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.3'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/07/2014 13:58'.
		
		spec project: 'GTPlaygroundCore' with: '2.0.3'.
		spec project: 'GTInspector' with: '2.0.3'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 12/9/2014 12:11'!
version204: spec
	<version: '2.0.4' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.4'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/09/2014 12:08'.
		
		spec project: 'GTPlaygroundCore' with: '2.0.4'.
		spec project: 'GTInspector' with: '2.0.4'. ]
! !

!ConfigurationOfGTPlayground methodsFor: 'versions' stamp: 'AndreiChis 12/10/2014 14:03'!
version205: spec
	<version: '2.0.5' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.0.5'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/10/2014 13:38'.
		
		spec project: 'GTPlaygroundCore' with: #'stable'.
		spec project: 'GTInspector' with: #'stable'. ]
! !
